Discourse v2.2.0.beta7 +63 version discourse-azure-ad plugin error

I am getting an error regarding the discourse-azure-ad plugin in the new discourse v2.2.0.beta7 +63 version hosted on docker.

In the older version it used to work.
Is there a way to fix this error (other than removing the plugin)

Error - FAILED
Pups::ExecError: cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate' failed with return #<Process::Status: pid 436 exit 1>
Location of failure: /pups/lib/pups/exec_command.rb:112:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"bundle_exec", "cmd"=>["su discourse -c 'bundle install --deployment --verbose --without test --without development --retry 3 --jobs 4'", "su discourse -c 'bundle exec rake db:migrate'", "su discourse -c 'bundle exec rake assets:precompile'"]}
4a2a673415d20dcc46c2427329592c0dbd029dbe7aa61e8d6257054f38f56c12

Thanks for reporting - I just pushed an update

Can you try rebuilding again?

5 Likes

Yes , Its working now.
Thanks for the quick reply.
One more thing, i am getting this error - Sorry, there was an error authorizing your account. Perhaps you did not approve authorization?

**weburl -** 
discourse_domain/auth/failuremessage=invalid_credentials&origin=https%3A%2F%2F**discourse_domain**%2Fauth%2Fazure_oauth2%2Fcallback%3Fcode%3DAQABAAIAAAC5una0EUFgTIF8ElaxtWjTbUplINSR2r1Qd57VQdCjkd45xWvhu4k6ii7Y_XQFjuCrunreUV29xdLL0ULDoR8vPBlBJKmTufkKC3x8gE1hMR7TuB2NeKrBT-oLMDcG08bAziy-B17mzT6i1xX32E3rVCDOA6ZCeQ-OJN1jJvvUVvmmS7flktPmNIcCB5cmWLoH4oaCHeM5WELcl4DalIaYqw5VGfmo0kNHgqqi7BvvVSHFAjjPjDMRHYJ-zwY7AzVgi8VDrN2UVKkwhN281z0dS9SOfTgwUXHa_z0X-YbSRsArfW6PgbNRKf4Ety9mKsqvgJgc-56oARGuBPK5UPvlED4uIYf_6yP667D9hxWru2h8Vp7R304JZUUFb7vRJDy6i7CIigvZl898QgXHdzUX3jbRkb2SgAg2NvLDebvvGzwP41QplagT-8UYJb0_hUoJOP25zr_gsuZnNJRH-zJQYLd0O9SCH1oDv_aNZgwrTsEoSe-A4ltZbcmojM1pYGQV-RktmK-9ZqKv4Xj22n5R1326D_-f7Bkas2_tyzJDpIf83CMrwQO9jBxW4ZR-2A6SAZD6IWJmE0SCgfIWv425IAA%26state%3D420e2bcd209a3d2d8dee9ab41f4bfe5287436db89da240bb%26session_state%3D1f0ba06e-fdd4-4cbe-b758-691d006q8ce3&strategy=azure_oauth2

What could be the issue.?
Can you please elaborate that?

Did this stop working with the recent update? Or have you never got it working before?

Yes, but the credentials are correct. i tried logged into azure portal and it works.
Is there any other way which trigger that error.

I think it just means the credentials are wrong when logging into azure… Try entering your username/password incorrectly and see if you can reproduce the error consistently.

Its strange, credentials are correct i had checked.
Is there any other scenario which trigger that error.

It’s an error coming from the Azure end, so I’m not sure what else could cause it

Okay, Thanks for the help @david .
Will check that.

1 Like

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.